> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Training Dataset

> ### Description
Gets the details of a training dataset

### Details
This API can be used to get information about a single training dataset by ID. To use this API, pass in the `id` that was returned from your Create Training Dataset API call as a path parameter.

Review the response schema to see the fields that will be returned.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/training-datasets/{training_dataset_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/training-datasets/{training_dataset_id}:
    get:
      tags:
        - Training Datasets V3 (Beta)
      summary: Get Training Dataset
      description: >-
        ### Description

        Gets the details of a training dataset


        ### Details

        This API can be used to get information about a single training dataset
        by ID. To use this API, pass in the `id` that was returned from your
        Create Training Dataset API call as a path parameter.


        Review the response schema to see the fields that will be returned.
      operationId: GET-V4-/training-datasets/{training_dataset_id}
      parameters:
        - name: training_dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Training Dataset Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainingDatasetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            training_dataset = client.training_datasets.retrieve(
                "training_dataset_id",
            )
            print(training_dataset.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttrainingDataset, err := client.TrainingDatasets.Get(context.TODO(), \"training_dataset_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", trainingDataset.ID)\n}\n"
components:
  schemas:
    TrainingDatasetResponse:
      properties:
        name:
          type: string
          title: Name
          description: The name of the dataset
        schema_type:
          $ref: '#/components/schemas/TrainingDatasetORMSchemaTypeEnum'
          description: >-
            The schema type of the dataset, currently only GENERATION is
            supported
        data_source:
          $ref: '#/components/schemas/DataSource'
          description: >-
            The data source of the dataset, used to determine how to parse the
            location
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
      type: object
      required:
        - name
        - schema_type
        - data_source
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: TrainingDatasetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrainingDatasetORMSchemaTypeEnum:
      type: string
      enum:
        - GENERATION
        - RERANKING_QUESTIONS
      title: TrainingDatasetORMSchemaTypeEnum
    DataSource:
      type: string
      enum:
        - S3
        - SharePoint
        - SharePointPage
        - LocalFile
        - LocalChunks
        - GoogleDrive
        - AzureBlobStorage
        - GoogleCloudStorage
        - Confluence
        - Slack
        - Snowflake
        - Databricks
        - SQLDatabase
        - MongoDB
        - BigQuery
      title: DataSource
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````